/*
Theme Name: Bold Photography Child
Template: bold-photography
Version: 1.0
Author: Jan Holeček
Author URI: https://instagram.com/ja_n_h_olecek/
*/



body {
	background-color: #000;
}

body,
button,
input,
select,
textarea,
#testimonial-content-section .entry-title {
	font-family: 'Work Sans', sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6,
button,
.button,
input[type="button"],
input[type="reset"],
input[type="submit"],
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.posts-navigation a,
.post-navigation .post-title,
.comment-meta .author-name,
#content #infinite-handle span button,
.catch-instagram-feed-gallery-widget-wrapper .button,
.ui-tabs .ui-tabs-nav li a {
	font-family: 'Playfair', serif;
}


/* Changing styles of already existing classes */
html { 
	scroll-behavior: smooth; 
}

.site {
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	width: 100%;
}

.site-content {
	flex: 1;
}

.main-navigation a {
	text-transform: none !important;
	letter-spacing: .05rem;
	font-weight: 500;
}

.main-navigation a:focus {
	outline: none;
}

.page .site-main .entry-header {
	margin-bottom: 2rem;
}

.page .site-main .entry-title {
	margin-bottom: 1rem;
	font-size: 3rem;
	margin-bottom: 0;
	font-weight: 800;
}

.site-title {
	font-family: 'Playfair', serif;
	font-style: italic;
	text-transform: none;
	font-size: 2em;
	letter-spacing: 0;
}

.menu-toggle:focus {
	outline: none;
	background: none;
}

.custom-header {
	margin-bottom: 50px;
}

.page.no-sidebar .content-area-front-page {
	max-width: initial;
}

.custom-content-narrow,
.section-heading-wrapper {
	max-width: 720px;
	margin: 0 auto;
}

.wp-block-button .wp-block-button__link {
	font-family: 'Work Sans', sans-serif !important;
	border-radius: 1rem !important;
	text-shadow: none !important;
}


/* 
 * Custom css classes - to aply on chosen elements (usually in gutenberg block editor) 
 */

.main-nav--front-page li a {
	color: white !important;
	text-shadow: 0 0 35px rgba(0, 0, 0, 1);
}

.menu-label {
	font-family: 'Work Sans', sans-serif;
}

/* Header Image Slider */
.custom-header {
	height: 100svh;
	position: static;
}

#header-slider {
	display: grid;
	grid-auto-flow: column;
	grid-auto-columns: 100%;
	justify-content: start;

	overflow-x: auto;
	overscroll-behavior-inline: contain;
	-ms-overflow-style: none;  /* IE and Edge */
  	scrollbar-width: none;
}

#header-slider::-webkit-scrollbar {
	display: none;
}


.scroll-snaps-inline {
	scroll-snap-type: inline mandatory;
	scroll-behavior: smooth;
}

.scroll-snaps-inline > * {
	scroll-snap-align: center;
}

.header-slider--single {
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;

	display: flex;
	justify-content: flex-end;
	flex-direction: column;
	/* display: none; */
}

.slider-image-left {
	background-position: left;
}

#header-slider .current {
	display: flex;
}

.custom-header-content-wrapper {
	max-width: 580px;
}

.custom-header-content {
	z-index: 1;
	margin-bottom: 1.8rem;
}

#header-slider .entry-title {
	font-size: 6.2rem;
	font-weight: bold;
	line-height: .9;
	margin-bottom: 5px;
	text-shadow: 0 0 40px rgba(0, 0, 0, 0.3);
	word-wrap: normal;
}

@media screen and (max-width: 640px) {
	#header-slider .entry-title {
		font-size: 4.5rem;
	}
}

@media screen and (max-width: 480px) {
	#header-slider .entry-title {
		font-size: 3.8rem;
		line-height: 1;
	}

	.custom-header-content {
		margin-bottom: 5rem;
	}

	.custom-header {
		margin-bottom: 60px;
	}
}

@media screen and (max-width: 380px) {
	#header-slider .entry-title {
		font-size: 3.2rem;
	}
}

#header-slider .site-header-text {
	margin-top: 0;
	text-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
	font-weight: 400;
}

.more-link {
	margin-top: 1.4em;
	margin-left: .35em;

	font-size: .85rem;
}

.more-link .readmore {
	font-weight: 600;
	letter-spacing: .1em;
	box-shadow: 0 1.5px 0 0;
	text-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}

.more-link .readmore:hover {
	box-shadow: 0 1.5px 0 0 #cdcdcd;
	color: #cbcbcb !important;
}

/* header overlay controls */
.header-overlay--controls {
	pointer-events: none;

	height: 100vh;
	height: 100dvh;
	height: 100svh;
	display: grid;
	grid-template-rows: 1fr;
	grid-template-columns: 1fr;
}

.carousel-arrows {
	width: 100%;
	grid-column: 1 / -1;
	grid-row: 1 / -1;
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.carousel-arrows > * {
	cursor: pointer;
	pointer-events: initial;

	margin: 30px;
	margin-bottom: 100px;
	display: inline-block;
	width: 22px;
	height: 22px;
	border-bottom: 2px solid white;
	border-right: 2px solid white;
	/* box-shadow: 0 0 10px rgba(0, 0, 0, 0.3) inset; */

	transition: 200ms ease-in-out;
	z-index: 2;
}

.carousel-arrows > *::before {
	content: "";
	position: relative;
	padding: 30px;
}

.carousel-arrows > *:hover {
	border-bottom: 2px solid #000;
	border-right: 2px solid #000;
	border-color: #c3c3c3;
}

.arrow-left {
	transform: rotate(135deg);
}

.arrow-left:hover {
	transform: 
		translateX(-8px)
		rotate(135deg);
}

.arrow-right {
	transform: rotate(-45deg);
}

.arrow-right:hover {
	transform: 
		translateX(8px)
		rotate(-45deg);
}

.carousel-arrows > .disabled {
	visibility: hidden;
}

.carousel-indicators {
	grid-column: 1 / -1;
	grid-row: 1 / -1;
	display: flex;
	justify-content: flex-end;
	align-items: flex-end;
	flex-wrap: nowrap;
	gap: 18px;

	margin: 32px;
	margin-bottom: 36px;
}

.carousel-indicators > * {
	pointer-events: initial;
	cursor: pointer;

	display: inline-block;
	background-color: transparent;
	outline: 2px solid #FFF;
	border-radius: 50%;
	padding: .35rem;
	box-shadow: 0 0 25px rgba(0, 0, 0, 0.5);
	transition: 200ms ease-in-out;

	z-index: 2;
}

.carousel-indicators > *:hover {
	outline: 2px solid #CDCDCD;
}

.carousel-indicators > .current {
	background-color: #fff;
	pointer-events: none;
}

.header-arrow-down {
	grid-column: 1 / -1;
	grid-row: 1 / -1;

	display: flex;
	justify-content: center;
	align-items: flex-end;

	margin: 30px;
	margin-bottom: 32px;
}

.header-arrow-down > .arrow-down-indicator {
	pointer-events: initial;
	cursor: pointer;
	display: block;
	width: 24px;
	height: 24px;
	border-bottom: 3px solid white;
	border-right: 3px solid white;
	transform: 
		rotate(45deg)
		skew(-18deg, -18deg);
	animation: move-up-down 2s ease-in-out infinite alternate;
}

.header-arrow-down > .arrow-down-indicator::before {
	content: "";
	padding: 20px;
}

.header-arrow-down > .arrow-down-indicator:hover {
	border-color: #c6c6c6;
}

@keyframes move-up-down {
	from  	{transform: translateY(0px) rotate(45deg) skew(-20deg, -20deg);}
	50% 	{transform: translateY(0px) rotate(45deg) skew(-20deg, -20deg);}
	to  	{transform: translateY(12px) rotate(45deg) skew(-22deg, -22deg);}
}



/* Front Page Styling */
.categories-projects {
	flex-wrap: wrap;
	display: flex;
	gap: 35px;
	justify-content: center;
	width: 100%;
	max-width: 1080px;
	height: auto;
	text-align: center;
	margin-bottom: 6rem;
	margin: 0 auto 6rem auto;
	word-wrap: normal;
}

.category {
	min-width: 170px;
	max-width: 240px;
	width: 22%;
}


.category-image {
	aspect-ratio: 7 / 7;
	border-radius: 50%;
	background-position: 25% 50%;
	background-size: 130%;
	
	transition: 200ms ease-in-out;
}

.category-image:hover {
	background-size: 135%;
	transform: scale(1.05);
}

.categories-projects h3 {
	font-size: 2rem;
	margin-top: 12px;
	font-weight: bold;
	letter-spacing: .02em;
}

.categories-projects p {
	font-size: 1rem;
	color: #777;

	transition: 150ms ease-in-out;
}

.categories-projects p::after {
	content: '';
	white-space: nowrap;
    overflow: hidden;
	padding: 5px;
	margin: auto 5px;
	display: inline-block;
	transform: rotate(45deg);
	border-top: 1px solid #777;
	border-right: 1px solid #777;
	transition: 150ms ease-in-out;
}

.categories-projects p:hover {
	color: white;
}

.categories-projects p:hover::after {
	transform: 
		translateX(10px)
		rotate(45deg);	
	border-color: white;
}

.page-content {
	max-width: 720px;
	margin: 0 auto;
}

.custom-content-bottom {
	margin: 0 auto;
	margin-top: 30px;
	max-width: 730px
}

.recent-projects-heading {
	margin: 40px 0 20px 7px;
}

.recent-projects-slideshow {
	display: grid;
	grid-auto-flow: column;
	grid-auto-columns: 27%;
	gap: 24px;

	padding: 12px;
	scroll-padding-left: -12px;

	overscroll-behavior-inline: contain;
	overflow-x: auto;
	-ms-overflow-style: none;  /* IE and Edge */
	scrollbar-width: none;
}

#header-slider::-webkit-scrollbar {
  display: none;
}

.recent-projects-slideshow img {
	aspect-ratio: 1 / 1;
	width: 100%;
	object-fit: cover;

	margin-bottom: 10px;

	border-radius: .25rem;

	transition: 150ms ease-in-out;
}

.recent-projects-slideshow p {
	transition: 150ms ease-in-out;
	color: #888;
	margin-bottom: 0;
	line-height: 1.3;
}

.recent-projects-slideshow .desc-title:hover {
	color: #ffffff;
}

.recent-projects-slideshow .desc-title-large {
	font-size: 1.4rem;
	margin-bottom: 8px;
	color: white;
}

.recent-projects-slideshow span.more-link-post {
	text-align: left;
	margin: 0;
	margin-top: 1rem;

}

.more-link-post > a {
	color: #888;
}

.entry-header .entry-title {
	font-size: 2.2rem;
	margin-top: 2rem;
	margin-bottom: 8px;
	line-height: 1.2;
}

.recent-post:hover .desc-title {
	color: #ffffff;
}

.recent-projects-slideshow img:hover {
	transform: scale(1.04);
}

.recent-projects-slideshow .category-link {
	color: #888;
}

.recent-projects-slideshow .category-link:hover {
	color: white;
}

.recent-projects-slideshow .desc-small {
	font-size: .85rem;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.recent-projects-slideshow .desc-year {
	pointer-events: none;
}

.slideshow-wrapper {
	position: relative;
	margin-bottom: 3rem;
}

.slideshow-wrapper .scroll-indicators {
	pointer-events: none;
	position: absolute;
	margin-bottom: 50px;

	display: flex;
	top: 0;
	bottom: 0;
	left: 0; right: 0;

	justify-content: space-between;
	align-items: center;
}

.slideshow-wrapper .scroll-indicators > div {
	pointer-events: initial;
	cursor: pointer;

	margin-bottom: 80px;
	padding: 60px 35px;

	transition: 150ms ease-in-out;
}

.slideshow-wrapper .scroll-indicators > div > div {
	border: 2px solid white;
	border-left: none;
	border-bottom: none;
	width: 24px;
	height: 24px;
}

.scroll-indicators .hidden {
	visibility: hidden;
}

.indicator-left {
	transform: rotate(-135deg);
}

.indicator-left:hover {
	transform: 
		translateX(-10px)
		rotate(-135deg);
}

.indicator-right {
	transform: rotate(45deg);
}

.indicator-right:hover {
	transform: 
		translateX(10px)	
		rotate(45deg);
}

.slideshow-wrapper .more-link {
	text-align: center;
	margin: 0 auto 50px auto;
}

.readmore-gallery-link {
	margin-top: 4rem;
}

.more-link-text {
	color: white;
	margin-top: 0;
	font-size: .85rem;
	font-weight: 600;
	letter-spacing: .1em;
	box-shadow: 0 1.5px 0 0;
	text-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
	text-transform: uppercase;
	display: inline-block;

	transition: 200ms ease-in-out;
}

.more-link-text:hover a, .more-link-text:hover {
	color: #888;
}


.margin-bottom {
	margin-bottom: 7px;
}


@media screen and (max-width: 550px) {
	.recent-projects-slideshow {
		grid-auto-columns: 62%;
		gap: 16px;
	}

	.slideshow-wrapper .scroll-indicators > div {
		padding: 60px 20px;
	}
}

@media screen and (max-width: 700px) {
	.categories-projects {
		flex-wrap: wrap;
	}
	.categories-projects h3 {
		font-size: 1.6rem;
	}

	.categories-projects p {
		line-height: 1.3;
	}
}


/* Pages styling */
.author-introduction {
	transform: translateY(-24px);
	letter-spacing: .04em;
	line-height: 1.1;
}

.figcaption-align-left .wp-element-caption {
	text-align: left !important;
	padding-left: 0 !important;
	padding-right: 0 !important;

}

.kontakt-list {
	list-style-type: none;
	padding: 0;
	margin: 0;
}

/* .kontakt-email::before {
	content: '';
	font-family: 'Font Awesome 5 Free';
	font-weight: 900;
	content: '\f0e0';

	margin-right: .8rem; 
} 

.kontakt-mobil::before {
	font-family: 'Font Awesome 5 Free';
	font-weight: 900;
	content: '\f095';

	margin-right: .8rem;
} */





/* gallery styles */
.section-description-wrapper p {
	font-style: italic;
	max-width: 560px;
	margin-inline: auto;
}

.gallery-category-menu nav {
	display: flex;
	gap: 5px 22px;
	flex-wrap: wrap;
	justify-content: center;
}

.gallery-category-menu a.current {
	pointer-events: none;

	color: white;
}

.gallery-category-menu a:hover {
	color: #e5b334;
}


.gallery-category-menu a {
	list-style: none;
	color: #999;
}

.gallery-line-bottom {
	background: #888;
	height: .5px;
	max-width: 720px;
	margin: 20px auto 0 auto;
	visibility: hidden;
}

.category-menu-bottom {
	margin-top: 20px;
	margin-bottom: 0px;
}

.gallery-grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(170px, 1fr));
	grid-gap: 12px 24px;
	justify-items: center;
	align-items: start;

	font-family: 'Work Sans', sans-serif
}

.gallery-grid-item {
	display: block;
	flex-direction: column;
	justify-content: flex-start;
}

.gallery-item-thumbnail {
	aspect-ratio: 1;
	margin-bottom: 10px;
}


.gallery-item-thumbnail img {
	object-fit: cover;
	height: 100%;
	width: 100%;
	border-radius: .25rem;

	transition: 120ms ease-in-out;
}



.gallery-grid-item:hover img {
	transform: scale(1.03);
}

.gallery-grid-item:hover .item-description h3 {
	color: #FFF;
}

.item-description span:hover {
	color: #FFF;
}

.gallery-grid h3 {
	margin: 0;
	line-height: 1.05;

	font-family: 'Work Sans', sans-serif;
	font-size: 1.15rem;
	color: #999;
	
	transition: 150ms ease-out;
}

.gallery-grid p {
	padding: 0;
	margin-bottom: 12px;

	font-family: 'Work Sans', sans-serif;
	font-size: .9rem;
	color: #999;

	transition: 150ms ease-out;
}


/* single project page */
.wrapper {
	position: relative;
	width: auto;
}

.post-controls {
	position: absolute;
	width: 100%;
	padding-right: 60px;
	display: flex;
	justify-content: space-between;
}

.post-controls .hidden {
	visibility: hidden;
}

.post-controls > div {
	padding: 12px 40px;
}

.post-controls a {
	display: block;
	width: 24px;
	height: 24px;
	border: 2px solid #888;
	border-left: none;
	border-bottom: none;
}

.post-prev-link {
	transform: rotate(-135deg);
}

.post-prev:hover .post-prev-link {
	transform: 
		translateX(-10px)
		rotate(-135deg);
	border-color: white;
}

.post-next-link {
	transform: rotate(45deg);
}

.post-next:hover .post-next-link {
	transform: 
		translateX(10px)
		rotate(45deg);
	border-color: white;
}

.single-post-projekt {
	width: auto;
	display: flex;
	flex-wrap: nowrap;
	gap: 10px 40px;
	align-items: stretch;
	justify-content: flex-start;
	margin-right: -30px;

	margin-bottom: 3rem;
}

.section-title {
	letter-spacing: .02em;
}

.main-nav--front-page a:hover {
	color: #AAA !important;
}

.main-nav--front-page .current-menu-item {
	pointer-events: none;
}

.single-post-projekt .projekt-main-img {
	max-width: 100%;
	height: 100%;
	max-height: 65vh;
	min-height: 300px;
	min-width: 200px;

	margin: .3rem 0;

	cursor: pointer;

	flex-grow: 1;
	object-fit: contain;
	object-position: right;
}

.post-info {
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: space-between;
	max-width: 300px;
	overflow-x: visible;
	min-width: 225px;
}

.single-post-projekt h2 {
	font-size: 2.8rem;
	margin: 0;
	line-height: 1.0;
}

.single-post-projekt .about-price {
	line-height: 1.2;
	margin-top: 5px;
	color:#888;
	transition: 200ms ease-in-out;
}

.single-post-projekt .about-price:hover {
	color: #e5b334;
}

.additional-images {
	display: flex;
	gap: 1rem;
	margin-bottom: 1rem;
	width: 100%;
}

.additional-images img {
	border-radius: .2rem;
	flex-grow: 0;
	min-width: auto;
	min-height: auto;
	width: 50%;
	max-width: 7rem;
	width: auto;
	aspect-ratio: 1;
	object-fit: cover;
	object-position: center;

	transition: 150ms ease-in-out;
}

.additional-images img:hover {
	transform: scale(1.04);
}

.single-post-projekt .post-info--lower p {
	margin: 0;
}

.single-post-projekt .other-info {
	margin: 0;
	font-size: .85rem;
}

@media screen and (max-width: 900px) {
	.post-controls {
		position: static;
		padding: 0;
		margin-bottom: 12px;
		padding-bottom: 14px;
	}

	.post-controls > div {
		padding: 0;
		margin: 0 8px;
	}

	.single-post-projekt {
		flex-direction: column;
		margin: 0;
	}

	.single-post-projekt .projekt-main-img {
		margin: 0;
		min-height: 100px;
		object-position: center;
		max-height: 70vh;
	}

	.post-info {
		max-width: none;
	}

	.post-info--upper {
		margin-bottom: 3rem
	}

	.additional-images {
		flex-wrap: wrap;
		gap: 1.4rem;
	}
	
	.additional-images img {
		max-width: 12rem;
		width: 22%;
		min-width: 6rem;
	}
}


/* modal image on single */
.modal--overlay {
	visibility: visible;
	position: fixed;
	top: 0; right: 0;
	bottom: 0; left: 0;
	background: rgba(0, 0, 0, 0.4);
	backdrop-filter: blur(7px);
	-webkit-backdrop-filter: blur(7px);
	opacity: 1;

	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	z-index: 999;
	overflow: hidden;

	transition: 200ms ease-out;
}

.modal--overlay--closed {
	visibility: hidden;
	opacity: 0;
}

.modal--main-image {
	transform: translateX(20px);
	display: flex;
	flex-wrap: wrap;
	margin-bottom: 1rem;
}


.modal--overlay--closed img {
	transform: translateY(400px);
}

.modal--main-image img {
	transition: 200ms ease-out;
	max-width: 80vw;
	max-height: 90vh;
}

@media only screen and (max-width: 650px)  {
	.modal--main-image img {
		max-width: 90vw;
		transform: translateX(-20px);
	}

	.modal--main-image {
		flex-direction: column;
		align-items: flex-end;
		gap: 20px;
	}
}

.close-modal--icon {
	font-family: 'Playfair', serif;
	font-weight: 100;
	font-size: 4rem;
	color: #666;
	margin: 0 20px;
	line-height: .4;

	transition: 200ms ease;
}

.close-modal--icon:hover  {
	cursor: pointer;
	color: #ffffff;
}

/* footer styles */
.ig-link {
	position: absolute;
}

.ig-link a {
	display: flex;
	gap: .6rem;
	font-size: 1rem;
	color: #888;

	transition: 150ms ease-in-out;
}


.ig-link a:hover {
	transform: scale(1.08);
	color: white;
	filter: brightness(100%);
}

.section-description-wrapper .more-link--term-description {
	margin-bottom: 2.2rem;
	margin-top: 0;
}

.more-link--term-description .readmore {
	color: #888;
}

.category-archive-description {
	margin-bottom: 8px;
	text-align: center;
}

.category-archive-description p {
	text-align: center;
}

.archive-description-wrapper {
	text-align: center;
}

.archive-description-wrapper h3 {
	margin-top: 4rem;
	font-size: 2rem;
	/* text-transform: lowercase; */
}

.archive-description--full p {
	/* font-style: normal; */
	margin-bottom: 1.1rem;
}

#page {
	word-wrap: nowrap;
}

.blog .post-wrapper {
	display: flex;
	/* flex-direction: row-reverse;
	justify-content: space-between; */
	gap: 26px;
	width: 100%;

}

.blog .post-wrapper .post-thumbnail {
	max-width: 300px;
}

.blog .post-wrapper .entry-title {
	margin-top: 0px;
}

.archive-posts-wrapper .entry-container {
	margin-inline: unset;
}